#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  libgpg-error-1.41

- Next

  libgsf-1.14.47

- Up
- Home

# libgrss-0.7.0

## Introduction to libgrss

The libgrss package contains a library designed to manipulate RSS and Atom feeds.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libgrss/0.7/libgrss-0.7.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/libgrss/0.7/libgrss-0.7.0.tar.xz

- Download MD5 sum: 7c0ee46a82dc0e9610183fe9ef8c7c1d

- Download size: 356 KB

- Estimated disk space required: 10 MB

- Estimated build time: 0.1 SBU

### Additional Downloads

- Required patch: http://www.linuxfromscratch.org/patches/blfs/10.1/libgrss-0.7.0-bugfixes-1.patch

### libgrss Dependencies

#### Required

libsoup-2.72.0

#### Optional

GTK-Doc-1.33.2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libgrss

## Installation of libgrss

Install libgrss by running the following commands:

    patch -Np1 -i ../libgrss-0.7.0-bugfixes-1.patch &&
    autoreconf -fv &&
    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: None
Installed Library: libgrss.so
Installed Directories: /usr/include/libgrss and /usr/share/doc/libgrss-0.7.0

### Short Descriptions

`libgrss.so` | provides API functions for handling RSS feeds

Last updated on 2021-02-21 11:05:24 -0800

- Prev

  libgpg-error-1.41

- Next

  libgsf-1.14.47

- Up
- Home